# Shipping methods

Managing shipping methods in the e-shop.

## List of shipping methods

 - [GET /api/shipping-methods](https://api.docs.shoptet.com/shoptet-api/openapi/shipping-methods/getlistofshippingmethods.md): Endpoint returns a list of all available shipping methods and details of
their settings. Does not use paging,

it always returns all methods at once.

## Adding a shipping method

 - [POST /api/shipping-methods](https://api.docs.shoptet.com/shoptet-api/openapi/shipping-methods/createshippingmethod.md): Adds a new shipping method for the specific e-shop.

Should you wish to implement an addon implementing a shipping method,
contact our partner support and request the creation

of a new "shipping company code" identifier.


The request body includes the mandatory attributes name and
shippingMethodCode (or deprecated shippingCompanyCode). The other
parameters are not

mandatory and their default values will be used:


- description - null


- visibility - false


- wholesale - false


- logo - null


- minimalShippingPrice - 0.00


Send the logo of the shipping method as the file content, encoded with
base64, in data.logo.content request item.


Please note that name cannot be longer than 255 characters.

